<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 1999-2026. WebPros International GmbH. All rights reserved. -->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified" attributeFormDefault="unqualified">
	<xs:include schemaLocation="server_input.xsd"/>
	<xs:include schemaLocation="client_input.xsd"/>
	<xs:include schemaLocation="dns_input.xsd"/>
	<xs:include schemaLocation="webspace.xsd"/>
	<xs:include schemaLocation="database_input.xsd"/>
	<xs:include schemaLocation="domainalias_input.xsd"/>
	<xs:include schemaLocation="ip_input.xsd"/>
	<xs:include schemaLocation="ui_input.xsd"/>
	<xs:include schemaLocation="domain_template.xsd"/>
	<xs:include schemaLocation="reseller.xsd"/>
	<xs:include schemaLocation="reseller_template.xsd"/>
	<xs:include schemaLocation="domain_addon_template.xsd"/>
	<xs:include schemaLocation="site.xsd"/>
	<xs:element name="packet">
		<xs:complexType>
			<xs:complexContent>
				<xs:extension base="RequestPacketType">
					<xs:sequence>
						<xs:element name="request-settings" minOccurs="0">
							<xs:complexType>
								<xs:sequence>
									<xs:element name="setting" maxOccurs="unbounded">
										<xs:complexType>
											<xs:sequence>
												<xs:element name="name"/>
												<xs:element name="value" minOccurs="0"/>
											</xs:sequence>
										</xs:complexType>
									</xs:element>
								</xs:sequence>
							</xs:complexType>
						</xs:element>
						<xs:choice maxOccurs="unbounded">
							<xs:element name="server" type="ServerOperatorType"/>
							<xs:element name="customer" type="ClientTypeRequest"/>
							<xs:element name="webspace" type="DomainTypeRequest"/>
							<xs:element name="subdomain"/>
							<xs:element name="dns" type="DNSInputType"/>
							<xs:element name="db_server" type="DBServerTypeRequest"/>
							<xs:element name="mail"/>
							<xs:element name="migration"/>
							<xs:element name="certificate"/>
							<xs:element name="site-alias" type="DomainAliasInputType"/>
							<xs:element name="ip" type="IpInputType"/>
							<xs:element name="event_log"/>
							<xs:element name="spamfilter"/>
							<xs:element name="ui" type="UIInputType"/>
							<xs:element name="service-plan" type="DomainTemplateInputType"/>
							<xs:element name="webuser"/>
							<xs:element name="maillist"/>
							<xs:element name="virtdir"/>
							<xs:element name="database" type="DatabaseInputType"/>
							<xs:element name="ftp-user"/>
							<xs:element name="session"/>
							<xs:element name="updater"/>
							<xs:element name="locale"/>
							<xs:element name="log-rotation"/>
							<xs:element name="backup-manager"/>
							<xs:element name="sso"/>
							<xs:element name="protected-dir"/>
							<xs:element name="reseller" type="ResellerInput"/>
							<xs:element name="reseller-plan" type="ResellerTemplateInputType"/>
							<xs:element name="aps"/>
							<xs:element name="smb"/>
							<xs:element name="service-plan-addon" type="DomainAddonTemplateInputType"/>
							<xs:element name="site" type="SiteTypeRequest"/>
							<xs:element name="user"/>
							<xs:element name="role"/>
							<xs:element name="business-logic-upgrade"/>
							<xs:element name="webmail"/>
							<xs:element name="plan-item"/>
							<xs:element name="sitebuilder"/>
							<xs:element name="service-node"/>
						</xs:choice>
					</xs:sequence>
				</xs:extension>
			</xs:complexContent>
		</xs:complexType>
	</xs:element>
	<xs:complexType name="RequestPacketType">
		<xs:attribute name="version" type="string"/>
	</xs:complexType>
</xs:schema>
